﻿# Declare images
image bg pirate = "pirateslife01.png"
image bg ship = "pirateslifeship.png"
image bg crew = "pirateslifecrew.png"
image bg piraterum = "piratesliferum.png"
image bg piratesad = "pirateslifesad.png"
image bg whores = "pirateslifewhores.png"
image bg loot = "pirateslifeaggress.png"

# The game starts here.
label start:
    
    play music "Divertimento K131.mp3"

    $ whores = 5
    $ rum = 5
    $ treasure = 0
    
    show bg pirate
    with pixellate

    "You are a pirate."
    "This is your musket."
    "It's useful for blowing peoples' faces off."
    "Not that you particularly want to do that, but sometimes they don't want to give you stuff."
    "It's a necessary evil."
    "It's not like people don't deserve it, to be quite fair."
    
    show bg crew
    with pixellate
    
    "This is your crew."
    "They're the meanest, ruthlessest motherfuckers the seven seas has seen."
    "Seriously, they're complete dicks."
    "It's ace."
    
    show bg ship
    with pixellate
    
    "This is your kickass ship."
    "You've stocked it full of rum and whores, just as any good pirate ship should be."
    "Now all you need is some loot."
    
label piratechoice:
    
    menu:
        "Loot some juicy merchant ships!":
            $ treasure += 1
            $ rum += 1
            $ whores += 1
            jump loot
        "Why let all that rum go to waste?":
            $ rum -= 1
            jump rum
        "The party's right here! Let's do some whoring!":
            $ whores -= 2
            jump whores
        "Count your loot.":
            jump gloat
    
label loot:
    
    show bg pirate
    with dissolve
    
    "Your pirate ship skirts over the seven seas, seeking out suitable prey."
    "You wave your musket in an aggressive fashion, raising morale amongst your crew and intimidating your foes."
    
    "A merchant ship is in sight!"
    "Time to go kick the shit out of them."
    
    show bg loot
    with pixellate
    
    "You aggress your foes with pirate enthusiasm, decimating their defences."
    "You unabashedly leave their ship to sink while you make off with their cargo."
    "That showed them."
    
    show bg piraterum
    with pixellate
    
    "Your victory boosts morale on board the ship."
    
    menu:
        "Rum for everybody!":
               "Woohoo!"
               "The entire crew rolls about the deck in a drunken stupor."
               "This is what being a pirate's all about!"
               show bg pirate
               with dissolve
               "What shall we do next?"
               jump piratechoice
        
               
        "Screw those guys, more for me!":
            "Woohoo!"
            "You celebrate your victory the only way you know how: the pirate way."
            show bg pirate
            with dissolve
            "What next, O scourge of the seas?"
            jump piratechoice
     
label rum:
    
    if rum > 0:
        show bg piraterum
        with pixellate
        
        "You enjoy some hearty pirate grog."
        "You feel ready to take on the world!"
        "You're also a little seasick, but the hull needed a new lick of paint anyway."
        
        show bg piratesad
        with dissolve
        
        jump piratechoice
        
    if rum <1:
        show bg piratesad
        with pixellate
        
        "You've run out of rum!"
        "What's a pirate to do without his grog?"
        "You'll have to raid some merchant ships and hope that one of them is carrying a barrel or two."
        "Morale is at an all-time low."
        
        jump piratechoice
        
label whores:
    
    show bg piraterum
    with pixellate
    
    "After the appropriate amount of grog, you summon the ship's whores."
    
    if whores > 0:
        show bg whores
        with pixellate
        
        "Delightful creatures."
        "You enjoy their genteel company until the grog-googles wear off."
        "What next?"
        jump piratechoice

    if whores <1:
        show bg piratesad
        with pixellate
        
        "You don't have any whores left."
        "You must've lost them during a raid."
        "You'd better go grab somebody else's!"
        jump piratechoice
    
label gloat:
    
    show bg pirate
    with dissolve
    
    "You retreat to the captain's hold to count your loot."
    
    if treasure <1:
        show bg piratesad
        with dissolve
        "Gadzooks!"
        "You don't HAVE any loot!"
        "You must've spent it all on whores and rum."
        "...Well this is depressing."
        "You'll just have to raid some more ships, quick-sharp."
        jump piratechoice
        
    if treasure > 0:
        "You admire your treasure in all its stolen glory."
        "It once belonged to someone else, but now it's yours."
        "That's the best kind of loot."
        "You roll around amongst your prizes for a while, until duty calls."
        jump piratechoice
        


    
    
    
    

    return
